<div class="col-sm-12" *ngIf="showAuthInfo">
    <div class="kepsla-info w-650" >
        <div class="rate-points">
            <h3>{{titleContents.ciTitle}}</h3>
        </div>
    </div>
</div>

<section class="rating-process">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="kepsla-info w-650" >
                    <form id="divQuestions" >
                        <div id="surveyQuestions" *ngIf="!showAuthInfo">
                        <app-o-input [question]="currentQuestion" *ngIf="questionType == 'textFieldBlock' || questionType == 'datetimeBlock'
                        || questionType == 'emailBlock' || questionType == 'number-block'"></app-o-input>

                        <app-o-input [question]="currentQuestion" *ngIf="questionType == 'textAreaBlock'"></app-o-input>

                        <app-o-nps [question]="currentQuestion" *ngIf="questionType == 'promoterBlock'"></app-o-nps>

                        <app-o-multi-select [question]="currentQuestion" *ngIf="questionType == 'multiselect-block'"></app-o-multi-select>

                        <app-o-single-select [question]="currentQuestion" *ngIf="questionType == 'singleSelectBlock'"></app-o-single-select>

                        <app-o-dichotomous [question]="currentQuestion" *ngIf="questionType == 'dichotomous-block'"></app-o-dichotomous>

                        <app-o-drop-down [question]="currentQuestion" *ngIf="questionType == 'dropdown-block'"></app-o-drop-down>

                        <!-- Its done like this to generate new instance for each time dynamically -->
                        <div #matrixGridBlock id="matrixGridBlockInfo"></div>

                        </div>

                        <div id="authorizationInfo" #personalInfo >
                        </div>
                        <!-- To Print the json of each question -->
                        <!-- <textarea *ngIf="!showActions" name="qArea" value="{{currentQuestion.questionSection | json}}"
                        id="qValue" rows="3" class="form-control" ></textarea>                         -->
                    </form>
                    <div class="rate-points" *ngIf="(!currentQuestion.questionSection?.qValue && !showActions && currentQuestion.questionSection.QValidation.QRequired && showError)">
                        <p class="validation-warning">*{{currentQuestion.questionSection.QValidation.QMessages}}</p>
                    </div>
                    <!-- Custom Validation messages -->
                    <div class="rate-points" *ngIf="(!currentQuestion.questionSection?.qValue && !showActions && showError)">
                      <p class="validation-warning" *ngIf="currentQuestion.questionSection.attribute == 'Room No'">*Room No cannot have special characters</p>
                      <p class="validation-warning" *ngIf="currentQuestion.questionSection.attribute == 'Guest Name'">*Name should only consist of alphabets</p>
                      <p class="validation-warning" *ngIf="currentQuestion.questionSection.attribute == 'Email ID'">*Invalid email</p>
                  </div>
                    <div *ngIf="!showActions" id="divActions" >
                        <a (click)="showSubmit()? submitSurvey(): handleNext()" class="btn btn-selina mt-4">{{showSubmit()? 'Submit Survey':'Next'}} <img *ngIf="showSubmit()" src="{{appUrl}}assets/images/arrow-right.svg" alt="arrow" class="angle-btn ml-2"></a>
                        <a *ngIf="!(currentQuestion && currentQuestion.questionSection && currentQuestion.questionSection.QValidation.QRequired) && !showSubmit()" (click)="showSubmit()? submitSurvey(): handleNext()" class="btn  btn-selina mt-4 ml-2"> Skip </a>
                    </div>
                </div>
                <div class="d-flex justify-content-center" *ngIf="showActions">
                    <div class="spinner-border" role="status" >
                      <span class="sr-only" id="loading"></span>
                    </div>
                  </div>
            </div>
        </div>
    </div>
</section>
